Bug 1392328 - Disable new devices in QEMU 2.8 (x86_64)
Summary: Disable new devices in QEMU 2.8 (x86_64)
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev   
(Show other bugs)
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Miroslav Rezanina
QA Contact: Chao Yang
URL:
Whiteboard:
Keywords:
Depends On: 1393698
Blocks: 1422349 1387600
TreeView+ depends on / blocked
 
Reported: 2016-11-07 08:36 UTC by Miroslav Rezanina
Modified: 2017-08-02 03:35 UTC (History)
13 users (show)

Fixed In Version: qemu-kvm-rhev-2.8.0-5.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-01 23:39:45 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2392 normal SHIPPED_LIVE Important: qemu-kvm-rhev security, bug fix, and enhancement update 2017-08-01 20:04:36 UTC

Description Miroslav Rezanina 2016-11-07 08:36:23 UTC
Disable new devices introduced with rebase to QEMU 2.7:

- qemu,register
- vfio-pci-igd-lpc-bridge

Comment 1 Miroslav Rezanina 2017-01-23 09:22:25 UTC
We rebased to 2.8 instead of 2.7 so we need to remove devices added in 2.8 too.

List of new devices:

- floppy
- vhost-vsock-device
- vhost-vsock-pci
- virtio-crypto-device
- virtio-crypto-pci
- amd-iommu
- AMDVI-PCI
- loader
- or-irq

vhost-vsock-device (and vhost-vsock-pci) are requested by bz #1291284.

floppy device is qomified  floppy device, we want to keep the functionality without allowing command-line access.

Comment 2 Miroslav Rezanina 2017-02-20 10:06:36 UTC
Fix included in qemu-kvm-rhev-2.8.0-5.el7

Comment 4 Chao Yang 2017-06-01 09:35:49 UTC
Steps to verify this bug:

1. re-compile source code and compare build log on unfixed and fixed version

or-irq.o, generic-loader.o, amd_iommu.o, virtio-crypto-pci.o, register.o was observed on qemu-kvm-rhev-2.8.0-3.el7.x86_64 but on qemu-kvm-rhev-2.9.0-7.el7 otherwise.



2. check output of -device ? 

on qemu-kvm-rhev-2.8.0-3.el7.x86_64 

Storage devices:
name "floppy", bus floppy-bus, desc "virtual floppy drive"

Network devices:
name "virtio-crypto-device", bus virtio-bus
name "virtio-crypto-pci", bus PCI

Uncategorized devices:
name "amd-iommu", bus System
name "AMDVI-PCI", bus PCI
name "loader", desc "Generic Loader"
name "or-irq"
name "qemu,register"
name "vfio-pci-igd-lpc-bridge", bus PCI, desc "VFIO dummy ISA/LPC bridge for IGD assignment"


on qemu-kvm-rhev-2.9.0-7.el7, neither of above was observed. 





Setting VERIFIED.

Comment 6 errata-xmlrpc 2017-08-01 23:39:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 7 errata-xmlrpc 2017-08-02 01:17:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 8 errata-xmlrpc 2017-08-02 02:09:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 9 errata-xmlrpc 2017-08-02 02:50:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 10 errata-xmlrpc 2017-08-02 03:14:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 11 errata-xmlrpc 2017-08-02 03:35:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392


Note You need to log in before you can comment on or make changes to this bug.